image: tensorflow/tensorflow:2.11.0

variables:
  GIT_DEPTH: 10
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

cache:
  key:
    files:
      - poetry.lock
  paths:
    - .cache/pip
    - venv/

before_script:
  - python3 -m pip install --upgrade pip wheel poetry
  - poetry config virtualenvs.path $PWD/venv
  - poetry install

testing:
  script: poetry run pytest

documentation:
  script:
    - poetry install --with=docs
    - poetry run sphinx-build docs build

style:
  image: python:3.8
  before_script:
    - apt-get install -y git 
    - pip install pre-commit
  script: pre-commit run --all-files
